# RpiL - Raspberry Pi Library
#### By Zevi Berlin

RpiL is a simple Python library for controlling Raspberry Pi hardware, particularly GPIO pins. It provides an easy-to-use interface for interacting with various hardware components like motors, LEDs, and sensors. The library is designed to streamline GPIO operations, making it ideal for both beginners and advanced users working on Raspberry Pi projects.

## Installation
- In order to install on a non-Raspberry Pi system, use: `pip install RpiL`, `pip3 install RpiL`
- To install on Raspberry Pi (install the needed dependancies), use: `pip3 install RpiL[rpi]`

## Features
- Simple control of GPIO pins
- Supports various hardware components (LEDs, motors, sensors, motor drivers, RGB LEDs, buzzers, IR things, etc...)
- Easy-to-understand API for quick integration

## Documentation
- All detailed documentation, including installation and usage instructions, is available on the [readthedocs](https://rpil.readthedocs.io/en/latest/).

## License
This project is licensed under the MIT License.
